Bug 625482 - Review Request: libini_config - INI file parser for C
Summary: Review Request: libini_config - INI file parser for C
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 625471 625476 625480
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-19 15:12 UTC by Stephen Gallagher
Modified: 2010-10-07 11:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-07 11:28:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jhrozek: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Stephen Gallagher 2010-08-19 15:12:13 UTC
Spec URL: http://sgallagh.fedorapeople.org/packagereview/ding-libs/libini_config.spec
SRPM URL: http://sgallagh.fedorapeople.org/packagereview/ding-libs/libini_config-0.6.1-1.fc13.src.rpm
Description: 
Library to process configuration files in INI format into a libcollection
data structure

Comment 1 Jakub Hrozek 2010-08-27 10:39:46 UTC
RPMLint output:
libini_config.x86_64: W: spelling-error %description -l en_US libcollection -> lib collection, lib-collection, collection
libini_config-devel.x86_64: W: spelling-error Summary(en_US) libini -> libidinal, libido, Libia
libini_config-devel.x86_64: W: spelling-error Summary(en_US) config -> con fig, con-fig, configure
libini_config-devel.x86_64: W: spelling-error %description -l en_US libcollection -> lib collection, lib-collection, collection
libini_config-debuginfo.x86_64: W: spelling-error Summary(en_US) libini -> libidinal, libido, Libia
libini_config-debuginfo.x86_64: W: spelling-error Summary(en_US) config -> con fig, con-fig, configure
libini_config-debuginfo.x86_64: W: spelling-error %description -l en_US libini -> libidinal, libido, Libia
libini_config-debuginfo.x86_64: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
libini_config.src: W: spelling-error %description -l en_US libcollection -> lib collection, lib-collection, collection

All the above are spurious warnings, there are no spelling errors in the specfile.

The review passed and the package is APPROVED. 

The details follow:
 [OK] - The package must meet the Packaging Guidelines.
 [OK] - The License field in the package spec file must match the actual license.
 [OK] - The package must be named according to the Package Naming Guidelines
 [OK] - The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
 [OK] - The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
 [OK] - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
 [OK] - The spec file must be written in American English.
 [OK] - The spec file for the package MUST be legible.
 [OK] - The sources used to build the package must match the upstream source, as provided in the spec URL.
      - OK, 1ac3ddc283d6cf5f3b7206c66d228daa
 [OK] - The package MUST successfully compile and build
 [OK] - All build dependencies must be listed in BuildRequires
      - The two above were tested with koji scratch build
 [OK] - Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
 [OK] - Packages must NOT bundle copies of system libraries
 [OK] - A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
 [OK] - A Fedora package must not list a file more than once in the spec file's %files listings.
 [OK] - Each package must consistently use macros.
 [OK] - The package must contain code, or permissable content.
 [OK] - Header files must be in a -devel package. 
 [OK] - If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
 [OK] - In the vast majority of cases, devel packages must require the base package using a fully versioned dependency
 [OK] - Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
 [OK] - Packages must not own files or directories already owned by other packages 
 [OK] - All filenames in rpm packages must be valid UTF-8. 
 [OK] - Permissions on files must be set properly

Comment 2 Stephen Gallagher 2010-08-27 11:06:04 UTC
New Package SCM Request
=======================
Package Name: libini_config
Short Description: INI file parser for C
Owners: sgallagh
Branches: f12 f13 f14
InitialCC: dpal

Comment 3 Kevin Fenzi 2010-08-29 19:00:06 UTC
Git done (by process-git-requests).

Comment 4 Stephen Gallagher 2010-10-07 11:28:45 UTC
Withdrawing this package. Upstream has changed packaging and it will be bundled
into ding-libs.

See https://bugzilla.redhat.com/show_bug.cgi?id=636947


Note You need to log in before you can comment on or make changes to this bug.